var replayWay =[];
var replayData;
var flightPath;
var replayBounds=[];



jQuery("#Slider1").slider({
  from: 0,
  to: 1439,
  step: 1,
  dimension: '',
  scale: [
        '00:00' , '01:00', '02:00', '03:00', '04:00', '05:00', '06:00', '07:00', '08:00', '10:00'
        ,'12:00', '13:00', '14:00', '15:00', '16:00', '17:00', '18:00', '19:00', '20:00'
        ,'21:00', '22:00', '23:00','23:59'
  ],
  limits: false,
  calculate: function( value ){
    var hours = Math.floor( value / 60 );
    var mins = ( value - hours*60 );
    return (hours < 10 ? "0" + hours : hours) + ":" + ( mins == 0 ? "00" : mins );
  },
  onstatechange: function( value ){
    moveCarOfTime(value);
  }
});
function moveCarOfTime(value){
    var currReplay = getReplayIndex(value);
    if(!isEmpty(currReplay)){
        updateMarker(0,currReplay.LT,currReplay.LG,currReplay.ST,currReplay.RT);
        if($('#rp-focus-bt').is(':checked')){
            map.setCenter(new google.maps.LatLng(currReplay.LT,currReplay.LG));
        }
        if(currReplay.SP>0)
            playSpeed = $('#play-speed').val();
        else
            playSpeed = "10";
            
        $('#speed').html(currReplay.SP)
    }
    if(Paused)
        timerValue=value;
}
$('#getData').click(function(){
    replayBounds = new google.maps.LatLngBounds();
    addBlurEffect($('#map'));
    clearRplayVariables();
    $("#Slider1").slider('value',0);
    if(!isEmpty(flightPath))
        flightPath.setMap(null);
    replayWay=[];
    deleteNotice();
    flightPath = new google.maps.Polyline({
        geodesic: true,
        strokeColor: '#5CB85C',
        strokeOpacity: 0.8,
        strokeWeight: 4
    });
	$.post(getDefine("baseURL")+"/mobilservice/ajax.php?act=rpKonum", { tokenx: tokenx.tokenx,carID:$('#plaka').val(),date:$('#reportDay').val()})
	  .done(function( data ) {
           if(!permissionControl(data)){
               return false;
           }
	       if(!isEmpty(data)){
	           replayData = JSON.parse(data);
               updateMarker(0,replayData[0].LT,replayData[0].LG,replayData[0].ST,replayData[0].RT);
               //map.setCenter(new google.maps.LatLng(replayData[0].LT, replayData[0].LG));
               for(var i=0;i<replayData.length;i++){
                    replayWay[i]={ID:replayData[i].ID,lat: parseFloat(replayData[i].LT), lng: parseFloat(replayData[i].LG)};
                    replayBounds.extend(new google.maps.LatLng(replayData[i].LT, replayData[i].LG));
                    if(parseInt(replayData[i].AC)>0){
                        if(!isEmpty(replayData[i].AD))
                            addMarker(
                                {lat:parseFloat(replayData[i].LT),lng:parseFloat(replayData[i].LG)},
                                replayData[i].AD,
                                replayData[i].TA+" TARIHINDE "+replayData[i].AD+" ALARMI OLUŞMUŞTUR");
                    }
               }
               flightPath.setPath(replayWay);
               flightPath.setMap(map);
               map.fitBounds(replayBounds);
               rmvBlurEffect($('#map'));
	       }
	  }).error(function(xhr, textStatus, errorThrown) {
            rmvBlurEffect($('#map'));
            alert('Bağlantı kurulamadı. İnternet bağlantınızı kontrol edip tekrar deneyiniz.'+xhr.responseText);
      });
    progresBarOpen();
});
function progresBarOpen(){
    $('.layout-slider').show();
}
function progresBarClose(){
    $('.layout-slider').hide();
}
var timerValue=0;
var timerObject;
var Paused=false;
$('#play-speed').change(function(){
    pause();
    play();
});
var playSpeed = $('#play-speed').val();
//playSpeed = $('#play-speed').val(); 
function playingLine(){
    moveCarOfTime(timerValue);
    $("#Slider1").slider('value',timerValue);
    timerValue=parseInt(timerValue)+1;
    
    if(timerValue>1438){
        pause();
        return false;
    }
    else
        timerObject = setTimeout(function(){ playingLine() }, playSpeed);
}
function playRecord(){//Pressed Play/Pause Button
    Paused=false;
    timerObject = setTimeout(function(){ playingLine() }, playSpeed);
    //timerObject = setTimeout(playingLine(),8000);
}
function pauseRecord(){//Pressed Play/Pause Button
    clearTimeout(timerObject);
    Paused=true;
}
$(document).ready(function(){
    if(!isEmpty($_GET("id")))
        $('#plaka').val($_GET("id"));
});
$('#plaka').change(function(){
    if(!isEmpty(flightPath))
        flightPath.setMap(null);
    
    replayWay=[];
    deleteNotice();
    getCarLocate($(this).val(),false);
    clearRplayVariables();
});

$(function() {
    $('.datepicker1').datepicker({
        autoclose: true,
        beforeShowDay: $.noop,
        calendarWeeks: false,
        clearBtn: false,
        daysOfWeekDisabled: [],
        endDate: Infinity,
        forceParse: true,
        format: 'mm/dd/yyyy',
        keyboardNavigation: true,
        language: 'en',
        minViewMode: 0,
        orientation: "auto",
        rtl: false,
        startDate: -Infinity,
        startView: 2,
        todayBtn: false,
        todayHighlight: false,
        weekStart: 0
    });
});
function getReplayIndex(minutes){
    if(!isEmpty(replayData))
    for(var i=1;i<replayData.length;i++){
        if(parseInt(replayData[i].MN)>=minutes)
            return replayData[i-1];
    }
}
function clearRplayVariables(){
    Paused=false;
    clearInterval(timerObject);
    timerValue=0;
    pause();
    $('.layout-slider').hide();
}